package v1

import (
	"context"
	v1 "gitlab.jxhh.com/zhaoxueru/cloud-warehouse.git/app/system/demo/define/v1"
	"gitlab.jxhh.com/zhaoxueru/cloud-warehouse.git/app/system/demo/store"
)

type UserSrv interface {
	Get(ctx context.Context) (res *v1.FreightInfo, err error)
}

type userService struct {
	store store.Factory
}

func newUsers(srv *service)*userService  {
	return &userService{store: srv.store}
}

func (u *userService)Get(ctx context.Context) (res *v1.FreightInfo, err error) {

	res, err = u.store.Users().Get(ctx)
	//return errors.New(code.ErrValidation, "参数id必传", "")
	return
}